### Hierarchy

- unknown
  - EncryptedConnection

## Index

### Constructors

- constructor

### Methods

- getEncryptedPassword
- getEncryptedPassword_asB64
- getEncryptedPassword_asU8
- getEncryptionSalt
- getEncryptionSalt_asB64
- getEncryptionSalt_asU8
- getPriority
- getUrl
- getUsername
- serializeBinary
- setEncryptedPassword
- setEncryptionSalt
- setPriority
- setUrl
- setUsername
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new EncryptedConnection(): EncryptedConnection

- Inherited from jspb.Message.constructor

  #### Returns EncryptedConnection

## Methods

### getEncryptedPassword

- getEncryptedPassword(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7280

  #### Returns string | Uint8Array

### getEncryptedPassword_asB64

- getEncryptedPassword_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7282

  #### Returns string

### getEncryptedPassword_asU8

- getEncryptedPassword_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7281

  #### Returns Uint8Array

### getEncryptionSalt

- getEncryptionSalt(): string | Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7285

  #### Returns string | Uint8Array

### getEncryptionSalt_asB64

- getEncryptionSalt_asB64(): string

- - Defined in src/protobuf/pb_pb.d.ts:7287

  #### Returns string

### getEncryptionSalt_asU8

- getEncryptionSalt_asU8(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7286

  #### Returns Uint8Array

### getPriority

- getPriority(): number

- - Defined in src/protobuf/pb_pb.d.ts:7290

  #### Returns number

### getUrl

- getUrl(): string

- - Defined in src/protobuf/pb_pb.d.ts:7274

  #### Returns string

### getUsername

- getUsername(): string

- - Defined in src/protobuf/pb_pb.d.ts:7277

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:7293

  #### Returns Uint8Array

### setEncryptedPassword

- setEncryptedPassword(value: string | Uint8Array): EncryptedConnection

- - Defined in src/protobuf/pb_pb.d.ts:7283

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns EncryptedConnection

### setEncryptionSalt

- setEncryptionSalt(value: string | Uint8Array): EncryptedConnection

- - Defined in src/protobuf/pb_pb.d.ts:7288

  #### Parameters

  - ##### value: string | Uint8Array

  #### Returns EncryptedConnection

### setPriority

- setPriority(value: number): EncryptedConnection

- - Defined in src/protobuf/pb_pb.d.ts:7291

  #### Parameters

  - ##### value: number

  #### Returns EncryptedConnection

### setUrl

- setUrl(value: string): EncryptedConnection

- - Defined in src/protobuf/pb_pb.d.ts:7275

  #### Parameters

  - ##### value: string

  #### Returns EncryptedConnection

### setUsername

- setUsername(value: string): EncryptedConnection

- - Defined in src/protobuf/pb_pb.d.ts:7278

  #### Parameters

  - ##### value: string

  #### Returns EncryptedConnection

### toObject

- toObject(includeInstance?: boolean): EncryptedConnection . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7294

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns EncryptedConnection . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): EncryptedConnection

- - Defined in src/protobuf/pb_pb.d.ts:7297

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns EncryptedConnection

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: EncryptedConnection, reader: BinaryReader): EncryptedConnection

- - Defined in src/protobuf/pb_pb.d.ts:7298

  #### Parameters

  - ##### message: EncryptedConnection

  - ##### reader: BinaryReader

  #### Returns EncryptedConnection

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: EncryptedConnection, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:7296

  #### Parameters

  - ##### message: EncryptedConnection

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: EncryptedConnection ): EncryptedConnection . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:7295

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: EncryptedConnection

  #### Returns EncryptedConnection . AsObject

Generated using TypeDoc